com.aliyun.player.nativeclass

## Enum TrackInfo.Type

- java.lang.Object
- - java.lang.Enum<TrackInfo.Type>
  - - com.aliyun.player.nativeclass.TrackInfo.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TrackInfo.Type>
  Enclosing class:
    TrackInfo

      public static enum TrackInfo.Type
      extends java.lang.Enum<TrackInfo.Type>

  Track types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_AUDIO` Audio stream.
    `TYPE_SUBTITLE` Subtitle stream.
    `TYPE_VIDEO` Video stream.
    `TYPE_VOD` VOD stream.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackInfo.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrackInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_VIDEO

          public static final TrackInfo.Type TYPE_VIDEO

      Video stream.

    - #### TYPE_AUDIO

          public static final TrackInfo.Type TYPE_AUDIO

      Audio stream.

    - #### TYPE_SUBTITLE

          public static final TrackInfo.Type TYPE_SUBTITLE

      Subtitle stream.

    - #### TYPE_VOD

          public static final TrackInfo.Type TYPE_VOD

      VOD stream.

  - ### Method Detail

    - #### values

          public static TrackInfo.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackInfo.Type c : TrackInfo.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackInfo.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null